com.ibm.openpages.api.rule

## Interface ITBRuleDefinitionFindOptions

- All Superinterfaces:
    IBaseFindOptions

      public interface ITBRuleDefinitionFindOptions
      extends IBaseFindOptions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRuleType(TBRuleDefinitionType ruleType)` Add a rule type to filter by to the list
    `java.util.List<java.lang.String>` | `getAssignee()` Get the assignee.
    `java.lang.String` | `getContentTypeId()` Get the object type.
    `java.util.List<java.lang.String>` | `getCriticality()` Get the criticality.
    `boolean` | `getIncludeDisabledRules()` Gets whether to return rules that are disabled.
    `java.lang.Boolean` | `getIncludeEnabledRules()` Get enabled.
    `java.lang.String` | `getQuickFilter()` Get the quick filter.
    `TBRuleDefinitionState` | `getRuleDefinitionState()` Returns the Process Definition state
    `java.util.List<TBRuleDefinitionType>` | `getRuleTypes()` Get the rule types to filter by.
    `boolean` | `isRetrieveLatestVersions()` Return the latest versions of the rule definitions.
    `void` | `setAssignee(java.util.List<java.lang.String> assignee)` Set the assignee.
    `void` | `setContentTypeId(java.lang.String contentTypeId)` Set the object type.
    `void` | `setCriticality(java.util.List<java.lang.String> criticality)` Set the criticality.
    `void` | `setIncludeDisabledRules(boolean includeDisabledRules)` Set whether to return rules that are disabled.
    `void` | `setIncludeEnabledRules(java.lang.Boolean includeEnabledRules)` Set enabled.
    `void` | `setQuickFilter(java.lang.String quickFilter)` Set the quick filter.
    `void` | `setRetrieveLatestVersions(boolean retrieveLatestVersions)` Set whether the latest versions of the rule definitions should be returned.
    `void` | `setRuleDefinitionState(TBRuleDefinitionState ruleDefinitionState)` Set the Process Definition state.
    `void` | `setRuleTypes(java.util.List<TBRuleDefinitionType> ruleTypes)` Set the list of rule types to filter by.

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getPageNum, getResultsPerPage, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPageNum, setPagingOn, setResultsPerPage, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection, setSortFieldName`

- - ### Method Detail

    - #### getRuleTypes

          java.util.List<TBRuleDefinitionType> getRuleTypes()

      Get the rule types to filter by.
      Returns:

    - #### setRuleTypes

          void setRuleTypes(java.util.List<TBRuleDefinitionType> ruleTypes)

      Set the list of rule types to filter by.
      Parameters:
        `ruleType` -

    - #### addRuleType

          void addRuleType(TBRuleDefinitionType ruleType)

      Add a rule type to filter by to the list
      Parameters:
        `ruleType` -

    - #### getContentTypeId

          java.lang.String getContentTypeId()

      Get the object type.
      Returns:

    - #### setContentTypeId

          void setContentTypeId(java.lang.String contentTypeId)

      Set the object type.
      Parameters:
        `contentTypeId` -

    - #### getQuickFilter

          java.lang.String getQuickFilter()

      Get the quick filter.
      Returns:

    - #### setQuickFilter

          void setQuickFilter(java.lang.String quickFilter)

      Set the quick filter.
      Parameters:
        `quickFilter` -

    - #### getCriticality

          java.util.List<java.lang.String> getCriticality()

      Get the criticality.
      Returns:

    - #### setCriticality

          void setCriticality(java.util.List<java.lang.String> criticality)

      Set the criticality.
      Parameters:
        `criticality` -

    - #### getAssignee

          java.util.List<java.lang.String> getAssignee()

      Get the assignee.
      Returns:

    - #### setAssignee

          void setAssignee(java.util.List<java.lang.String> assignee)

      Set the assignee.
      Parameters:
        `assignee` -

    - #### getIncludeEnabledRules

          java.lang.Boolean getIncludeEnabledRules()

      Get enabled.
      Returns:

    - #### setIncludeEnabledRules

          void setIncludeEnabledRules(java.lang.Boolean includeEnabledRules)

      Set enabled.
      Parameters:
        `includeEnabledRules` -

    - #### getRuleDefinitionState

          TBRuleDefinitionState getRuleDefinitionState()

      Returns the Process Definition state
      Returns:

    - #### setRuleDefinitionState

          void setRuleDefinitionState(TBRuleDefinitionState ruleDefinitionState)

      Set the Process Definition state. Supported by `TBRuleDefinitionState`. Default value is `TBRuleDefinitionState.published`
      Parameters:
        `ruleDefinitionState` -

    - #### getIncludeDisabledRules

          boolean getIncludeDisabledRules()

      Gets whether to return rules that are disabled.
      Returns:

    - #### setIncludeDisabledRules

          void setIncludeDisabledRules(boolean includeDisabledRules)

      Set whether to return rules that are disabled. Default value is false.
      Parameters:
        `includeDisabledRules` -

    - #### isRetrieveLatestVersions

          boolean isRetrieveLatestVersions()

      Return the latest versions of the rule definitions.
      Returns:

    - #### setRetrieveLatestVersions

          void setRetrieveLatestVersions(boolean retrieveLatestVersions)

      Set whether the latest versions of the rule definitions should be returned.
      Parameters:
        `includeLatestVersions` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.